<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.projects.dialog.title.add-job'
  "
  [dialogId]="'add-job-dialog'"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      @switch (dialogDataState$ | async) {
        @case ('loading') {
          <div class="flex-column">
            <nz-spin style="margin: auto" nzSimple></nz-spin>
            <div style="margin: auto">
              {{ 'sqtm-core.generic.label.loading' | translate }}...
            </div>
          </div>
        }
        @case ('error') {
          <div class="flex-row">
            <i
              nz-icon
              class="sqtm-core-icon"
              nzType="exclamation-circle"
              nzTheme="twotone"
              [nzTwotoneColor]="'#FF0000'"
            ></i>
            <span
              class="m-auto"
              [attr.data-test-error-key]="'connection-error'"
            >
              {{
                'sqtm-core.exception.test-automation-server.connection-failed'
                  | translate
              }}
            </span>
          </div>
        }
        @case ('ready') {
          <div>
            <sqtm-core-grid></sqtm-core-grid>
          </div>
          <ul class="sqtm-core-error-message">
            @for (error of errors; track error) {
              <li class="has-error">
                <span [attr.data-test-error-key]="error">{{
                  error | translate
                }}</span>
              </li>
            }
          </ul>
        }
      }
    </div>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    @if ((dialogDataState$ | async) === 'ready') {
      <button
        [attr.data-test-dialog-button-id]="'confirm'"
        class="flex-fixed-size"
        nz-button
        nzType="primary"
        (click)="confirm()"
      >
        {{ 'sqtm-core.generic.label.confirm' | translate }}
      </button>
    }
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ getCloseButtonLabel(dialogDataState$ | async) }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
